org.richfaces.el

## Class ValueExpressionAnalayserImpl

- java.lang.Object
- - org.richfaces.el.ValueExpressionAnalayserImpl

- All Implemented Interfaces:
    ValueExpressionAnalayser

      public class ValueExpressionAnalayserImpl
      extends Object
      implements ValueExpressionAnalayser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueExpressionAnalayserImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueDescriptor` | `getPropertyDescriptor(javax.faces.context.FacesContext context, javax.el.ValueExpression expression)`
    `ValueDescriptor` | `updateValueAndGetPropertyDescriptor(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueExpressionAnalayserImpl

          public ValueExpressionAnalayserImpl()

  - ### Method Detail

    - #### getPropertyDescriptor

          public ValueDescriptor getPropertyDescriptor(javax.faces.context.FacesContext context,
                                                       javax.el.ValueExpression expression)
                                                throws javax.el.ELException

      Specified by:
        `getPropertyDescriptor` in interface `ValueExpressionAnalayser`
      Throws:
        `javax.el.ELException`

    - #### updateValueAndGetPropertyDescriptor

          public ValueDescriptor updateValueAndGetPropertyDescriptor(javax.faces.context.FacesContext context,
                                                                     javax.el.ValueExpression expression,
                                                                     Object newValue)
                                                              throws javax.el.ELException

      Specified by:
        `updateValueAndGetPropertyDescriptor` in interface `ValueExpressionAnalayser`
      Throws:
        `javax.el.ELException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.